List Shipments
Since shipments power most of our services, we allow you to query and manage them. By querying shipments, you expose a paged service that allows you to use multiple filters.
| Query Parameters | Type | Description |
|---|---|---|
batch_id | string | Please note when filtering by batch_id: If you filter by batch, the API will ignore shipment_status, modified_at_start, modified_at_end, created_at_start, created_at_end, and tag. The API assumes you are opening a batch to view what's in the batch queue and batch_id is the only relevant filter since there are no other filters when executing a batch operation. |
tag | string | |
shipment_status | ennumerated string | pending, processing, label_purchased, cancelled |
modified_at_start | date string | (ISO 8601 Standard) 2019-07-25T15:24:46.657Z |
modified_at_end | date string | (ISO 8601 Standard) 2019-07-25T15:24:46.657Z |
created_at_start | date string | (ISO 8601 Standard) 2019-07-25T15:24:46.657Z |
created_at_end | date string | (ISO 8601 Standard) 2019-07-25T15:24:46.657Z |
page | integer | defaults to 1 |
page_size | integer | defaults to 25 |
sort_dir | ennumerated string | asc or desc |
sort_by | ennumerated string | modified_at, created_at |
Example Request & Response
GET /v1/shipments
In this example, we'll get a list of the last package we sent using the east_warehouse tag.
Response